Name:           libopensync-plugin-gnokii
Epoch:          1
Version:        0.22
Release:        4%{?dist}
Summary:        Gnokii plugin for libopensync

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
Patch0:         libopensync-plugin-gnokii_enum.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel = 1:0.22
BuildRequires:  pkgconfig gnokii-devel

%description
Gnokii plugin for use with libopensync.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/opensync/plugins/gnokii_sync.so
%{_libdir}/opensync/formats/gnokii*
%{_datadir}/opensync/defaults/gnokii-sync

%changelog
* Tue Sep 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-4
- bump

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 11 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-2
- use epoch for buildrequires
- fix license

* Sat Feb 07 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-1
- downgrade (#474070)

* Wed Oct 08 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.36-2
- rebuild for new gnokii

* Fri Jun 20 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.36-1
- version upgrade

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-2
- Autorebuild for GCC 4.3

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-1
- version upgrade

* Sat Nov 24 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-3
- remove rpm-scripts
- modify description
- better Requires

* Sat Nov 24 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-2
- fresh rebuild for fc8
- license
- add Changelog, README to docs
- patch to get rid of compile-error because of enum-errors

* Sat Jun 30 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-1
- initial version 
- template for spec-file taken from libopensync-plugin-syncml

